'use strict';

var Util = require('./Util.js');
var http = require('http');

/**
 *@module Request
*/
const proto = http.IncomingMessage.prototype;
/**
 *@type {boolean}
 *@name isHttps
 *@memberof Request#
*/

Util.defineGetter(proto, 'isHttps', function () {
  return this.connection.encrypted;
});
/**
 *@type {string}
 *@name hostname
 *@memberof Request#
*/

Util.defineGetter(proto, 'hostname', function () {
  const host = this.headers['host'];
  return typeof host === 'string' ? host.replace(/:\d+$/, '') : '';
});

module.exports = http.IncomingMessage;
